# EnumPropsT< TownLayout > Struct Template Reference

Define basic enum properties. More...

`#include <town_type.h>`

Inheritance diagram for EnumPropsT< TownLayout >:

## Detailed Description

### template<>
struct EnumPropsT< TownLayout >

Define basic enum properties.

Definition at line 74 of file town_type.h.

The documentation for this struct was generated from the following file:

- src/town_type.h